libfreehand::FHInternalStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libfreehand::FHInternalStream Class Reference

`#include <FHInternalStream.h>`

Inheritance diagram for libfreehand::FHInternalStream:

## Public Member Functions
| FHInternalStream (librevenge::RVNGInputStream *input, unsigned long size, bool compressed=false)
| ~FHInternalStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned)
virtual bool | existsSubStream (const char *)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *)
virtual librevenge::RVNGInputStream * | getSubStreamById (unsigned)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()
unsigned long | getSize () const

## Private Member Functions
| FHInternalStream (const FHInternalStream &)
FHInternalStream & | operator= (const FHInternalStream &)

## Private Attributes
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

libfreehand::FHInternalStream::FHInternalStream | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = `false`
| ) |  |

libfreehand::FHInternalStream::~FHInternalStream | ( |  | ) |
| inline

libfreehand::FHInternalStream::FHInternalStream | ( | const FHInternalStream & |  | ) |
| private

## Member Function Documentation

virtual bool libfreehand::FHInternalStream::existsSubStream | ( | const char * |  | ) |
| inlinevirtual

unsigned long libfreehand::FHInternalStream::getSize | ( |  | ) | const
| inline

virtual librevenge::RVNGInputStream* libfreehand::FHInternalStream::getSubStreamById | ( | unsigned |  | ) |
| inlinevirtual

virtual librevenge::RVNGInputStream* libfreehand::FHInternalStream::getSubStreamByName | ( | const char * |  | ) |
| inlinevirtual

bool libfreehand::FHInternalStream::isEnd | ( |  | ) |

Referenced by libfreehand::FHParser::readPath().

virtual bool libfreehand::FHInternalStream::isStructured | ( |  | ) |
| inlinevirtual

FHInternalStream& libfreehand::FHInternalStream::operator= | ( | const FHInternalStream & |  | ) |
| private

const unsigned char * libfreehand::FHInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libfreehand::FHInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

Referenced by libfreehand::FHParser::parse(), and libfreehand::FHParser::readPath().

virtual unsigned libfreehand::FHInternalStream::subStreamCount | ( |  | ) |
| inlinevirtual

virtual const char* libfreehand::FHInternalStream::subStreamName | ( | unsigned |  | ) |
| inlinevirtual

long libfreehand::FHInternalStream::tell | ( |  | ) |

## Member Data Documentation

std::vector<unsigned char> libfreehand::FHInternalStream::m_buffer
| private

Referenced by FHInternalStream(), and getSize().

volatile long libfreehand::FHInternalStream::m_offset
| private

The documentation for this class was generated from the following files:

- FHInternalStream.h
- FHInternalStream.cpp